package ink.wgink.pojo.bos.log;

/**
 * @ClassName: ControllerLogBO
 * @Description: Controller日志
 * @Author: wanggeng
 * @Date: 2021/10/23 12:09 上午
 * @Version: 1.0
 */
public class ApiLogBO extends RouteLogBO {

    private static final long serialVersionUID = 6474663479566921791L;

    private String method;
    private Long startTime;
    private Long endTime;
    private Long usedTime;

    public String getMethod() {
        return method == null ? "" : method.trim();
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Long getStartTime() {
        return startTime == null ? 0 : startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime == null ? 0 : endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Long getUsedTime() {
        return usedTime == null ? 0 : usedTime;
    }

    public void setUsedTime(Long usedTime) {
        this.usedTime = usedTime;
    }

}
